# XCacheSegmentHandler Class Reference
[Root classes for building DAO hierarchies]

Inheritance diagram for XCacheSegmentHandler:
[legend]

List of all members.

## Public Member Functions

| __construct ($segmentId)
| drop ()
| destroys segment
| ping ($key)
| checks for a key existence in segment

## Protected Member Functions

| getMap ()
| storeMap (array $map)

## Detailed Description

See also:
  http://trac.lighttpd.net/xcache/

Definition at line 17 of file XCacheSegmentHandler.class.php.

## Constructor & Destructor Documentation

XCacheSegmentHandler::__construct | ( | $ | segmentId | ) |

Reimplemented from OptimizerSegmentHandler.

Definition at line 19 of file XCacheSegmentHandler.class.php.

References SemaphorePool::me().

Here is the call graph for this function:

## Member Function Documentation

XCacheSegmentHandler::drop | ( |  | ) |

destroys segment

Implements SegmentHandler.

Definition at line 26 of file XCacheSegmentHandler.class.php.

XCacheSegmentHandler::getMap | ( |  | ) | `[protected]`

Reimplemented from OptimizerSegmentHandler.

Definition at line 39 of file XCacheSegmentHandler.class.php.

XCacheSegmentHandler::ping | ( | $ | key | ) |

checks for a key existence in segment

Reimplemented from OptimizerSegmentHandler.

Definition at line 31 of file XCacheSegmentHandler.class.php.

XCacheSegmentHandler::storeMap | ( | array $ | map | ) | `[protected]`

Reimplemented from OptimizerSegmentHandler.

Definition at line 50 of file XCacheSegmentHandler.class.php.

The documentation for this class was generated from the following file:

- main/DAOs/Handlers/XCacheSegmentHandler.class.php